(*^

::[
	fontset = title, "Helv", 22, L0, center, nohscroll, bold;
	fontset = subtitle, "Helv", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Helv", 12, L0, center, nohscroll, bold;
	fontset = section, "Helv", 12, L0, bold, grayBox;
	fontset = subsection, "Helv", 12, L0, bold, blackBox;
	fontset = subsubsection, "Helv", 10, L0, bold, whiteBox;
	fontset = text, "Helv", 12, L0;
	fontset = smalltext, "Helv", 10, L0;
	fontset = input, "Courier", 12, L0, nowordwrap;
	fontset = output, "Courier", 12, L0, nowordwrap;
	fontset = message, "Courier", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier", 10, L0, nowordwrap;
	fontset = info, "Courier", 10, L0, nowordwrap;
	fontset = postscript, "Courier", 10, L0, nowordwrap;
	fontset = name, "Helv", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Helv", 18, L0, nohscroll, bold;
	fontset = footer, "Helv", 18, L0, center, nohscroll, bold;
	fontset = help, "Helv", 10, L0, nohscroll;
	fontset = clipboard, "Helv", 12, L0, nohscroll;
	fontset = completions, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = network, "Courier", 10, L0, nowordwrap, nohscroll;
	fontset = graphlabel, "Courier", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Helv", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Helv", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Header, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Footer, "Helv", 12, L0, nowordwrap, nohscroll;]
:[font = title; inactive; ]
10 Miscelnea


;[s]
2:0,1;17,0;18,-1
2:1,29,23,Helv,1,22,0,0,0;1,29,23,Helv,1,22,0,0,0;
:[font = section; inactive; startGroup; Cclosed; ]
10.2 Funciones especiales
;[s]
2:0,1;25,0;26,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = subsection; inactive; startGroup; Cclosed; ]
10.2.1 Funciones de Airy
;[s]
2:0,1;24,0;25,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
AiryBi[0]
:[font = input; endGroup; ]
Plot[AiryBi[z],{z,-30,3},PlotRange->{-1,1}]
:[font = subsection; inactive; startGroup; Cclosed; ]
10.2.2 Funciones de Bessel
;[s]
2:0,1;26,0;27,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; endGroup; ]
BesselJ[5/2,x]
:[font = subsection; inactive; startGroup; Cclosed; ]
10.2.4 La funcin Gamma
;[s]
2:0,1;23,0;24,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
Gamma[1/2]
:[font = input; ]
Gamma[7/3]
:[font = input; ]
N[Gamma[7/3]]
:[font = input; ]
N[Gamma[2+3I]]
:[font = input; ]
N[Gamma[{1/3,4/3,7/3}]]
:[font = input; ]
Plot[Gamma[x],{x,-3,3}]
:[font = input; ]
PolyGamma[3]
:[font = input; endGroup; ]
PolyGamma[3,7]
:[font = subsection; inactive; startGroup; Cclosed; ]
10.2.5 La funcin Beta
;[s]
2:0,1;22,0;23,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; endGroup; ]
Beta[1/2,1/2]
:[font = subsection; inactive; startGroup; Cclosed; ]
10.2.6 Funciones hipergeomtricas
;[s]
2:0,1;33,0;34,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
Hypergeometric2F1[a,b,b,z]
:[font = input; ]
Hypergeometric2F1[k/2,(k+1)/2,1/2,x^2]
:[font = input; ]
Hypergeometric2F1[k/2,(k+1)/2,k+1,z]
:[font = input; endGroup; ]
Hypergeometric2F1[1,1,2,z]
:[font = subsection; inactive; startGroup; Cclosed; ]
10.2.7 La funcin Zeta de Riemann
;[s]
2:0,1;33,0;34,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
Zeta[3+4I]
:[font = input; ]
Zeta[2]
:[font = input; ]
ContourPlot[Abs[Zeta[x+I y]], {x,-3,3},{y,-3,3},
PlotPoints->40]
:[font = input; ]
Integrate[x^4/(Exp[x]+1),{x,0,Infinity}]
:[font = input; ]
Solve[Zeta[x+I y]==0,{x,y}]
:[font = input; ]
Plot[Abs[Zeta[2+I y]],{y,0,30},PlotRange->{0,2}]
:[font = input; endGroup; ]
Plot[Abs[Zeta[1/2+I y]],{y,0,30}]
:[font = subsection; inactive; startGroup; Cclosed; ]
10.2.8 Los nmeros de Bernoulli
;[s]
2:0,1;31,0;32,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
BernoulliB[50]
:[font = input; ]
BernoulliB[5,x]
:[font = input; endGroup; endGroup; ]
Integrate[x^3/(Exp[x]+1),{x,0,Infinity}]
:[font = section; inactive; startGroup; Cclosed; ]
10.3 Polinomios ortogonales
;[s]
2:0,1;27,0;28,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = subsection; inactive; startGroup; Cclosed; ]
10.3.1 Polinomios de Legendre
;[s]
2:0,1;29,0;30,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
LegendreP[5,x]
:[font = input; ]
Integrate[LegendreP[2,x] LegendreP[3,x],{x,-1,1}]
:[font = input; ]
Plot[LegendreP[12,x],{x,-1,1}]
:[font = input; ]
SphericalHarmonicY[2,3,Pi/2,Pi]
:[font = input; ]
<<ParametricPlot3D.m
SphericalPlot3D[Evaluate[Abs[ 
SphericalHarmonicY[2,2,theta,phi]]],{theta,0,Pi},{phi,0,2Pi}]
:[font = input; ]
<<ParametricPlot3D.m
SphericalPlot3D[Evaluate[Abs[ 
SphericalHarmonicY[3,2,theta,phi]]],{theta,0,Pi},{phi,0,2Pi}]
:[font = input; ]
1/2 Integrate[Sqrt[(1-x)/2] LegendreP[0,x],{x,-1,1}]
:[font = input; ]
3/2 Integrate[Sqrt[(1-x)/2] LegendreP[1,x],{x,-1,1}]
:[font = input; endGroup; ]
5/2 Integrate[Sqrt[(1-x)/2] LegendreP[2,x],{x,-1,1}]
:[font = subsection; inactive; startGroup; Cclosed; ]
10.3.2 Otros tipos de polinomios ortogonales
;[s]
2:0,1;44,0;45,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; endGroup; endGroup; ]
Plot[HermiteH[4,x],{x,-3,3}]
:[font = section; inactive; startGroup; Cclosed; ]
10.4 Nmeros pseudoaleatorios 
;[s]
2:0,1;30,0;31,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = input; ]
Table[Random[Real,{4,11}],{10}]
:[font = input; ]
Table[Random[Integer,{10,20}],{5}]
:[font = input; ]
SeedRandom[12]
:[font = input; ]
Table[Random[],{5}]
:[font = input; ]
SeedRandom[12];Table[Random[],{5}]
:[font = input; endGroup; ]
a=0;b=0;
l={{a,b}};
Do[a=a+Random[Real,{-0.1,0.1}];b=b+Random[Real,
{-0.1,0.1}]; AppendTo [l, {a,b}],{400}];
ListPlot [l,PlotJoined->True]
:[font = section; inactive; startGroup; Cclosed; ]
10.5 Combinatoria
;[s]
2:0,1;17,0;18,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = subsection; inactive; startGroup; Cclosed; ]
10.5.1 Particiones
;[s]
2:0,1;18,0;19,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
<<DiscreteMath`Combinatorica`
:[font = input; ]
PartitionsP[12]
:[font = input; ]
PartitionsQ[12]
:[font = input; endGroup; ]
Partitions[12]
:[font = subsection; inactive; startGroup; Cclosed; ]
10.5.2 Permutaciones
;[s]
2:0,1;20,0;21,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
PermutationQ[{4,2,1,3}]
:[font = input; ]
Permutations[{1,2,3,4}]
:[font = input; ]
Outer[List,{1,2},{3,4}]
:[font = input; ]
ToCycles[{2,4,7,8,5,9,1,3,6}]
:[font = input; ]
FromCycles[%]
:[font = input; ]
Signature[{4,2,3,1}]
:[font = input; endGroup; ]
InversePermutation[{2,4,7,8,5,9,1,3,6}]
:[font = subsection; inactive; startGroup; Cclosed; ]
10.5.3 Otras funciones de Combinatoria
;[s]
2:0,1;38,0;39,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
GrayCode[{3,7,4,6}]
:[font = input; ]
KSubsets[{a,b,c,d,e,f,g,h,i,j},4]
:[font = input; endGroup; ]
Length[KSubsets[{a,b,c,d,e,f,g,h,i,j},4]]
:[font = subsection; inactive; startGroup; Cclosed; ]
10.5.4 Teora de grafos
;[s]
2:0,1;23,0;24,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
ShowGraph[K[14]]
:[font = input; ]
Vertices[K[14]]
:[font = input; ]
ShowGraph[InduceSubgraph[K[14],
RandomSubset[Range[5]]]]
:[font = input; ]
ShowGraph[RankedEmbedding[GridGraph[3,3],{7}]]
:[font = input; ]
ShowGraph[RankedEmbedding[GridGraph[3,3],{6}]]
:[font = input; ]
ShowGraph[RankedEmbedding[GridGraph[4,4],{11}]]
:[font = input; endGroup; ]
ShowGraph[AddEdge[RankedEmbedding[GridGraph[4,4],
{11}],{6,9}]]
:[font = subsection; inactive; startGroup; Cclosed; ]
10.5.5 Geometra computacional
;[s]
2:0,1;30,0;31,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
<<DiscreteMath`ComputationalGeometry`
:[font = input; ]
ConvexHull[{{1,1},{2,2},{3,3},{4,2},{5,1},{6,0},{7,0},
{5,0},{2,0}}]
:[font = input; ]
ConvexHull[{{1,1},{2,2},{3,3},{4,2},{5,1},{6,0},{7,0},
{5,0},{2,0}},AllPoints->False]
:[font = input; ]
PlanarGraphPlot[{{1,1},{2,2},{3,3},{4,2},{5,1},{6,0},{7,0},
{5,0},{2,0}},%,DefaultFont->{"Helvetica",14}]
:[font = input; ]
nodos={{1.2,1.5},{3.6,2.5},{2.9,1.7},{-1,-2.5},
{-3.2,1.8},{-4.1,0.3},{2,-3},{0,-6},{0,3},{8,1},{4,-2}}
:[font = input; ]
ConvexHull[nodos]
:[font = input; ]
PlanarGraphPlot[nodos,%]
:[font = input; ]
VoronoiDiagram[nodos]
:[font = input; ]
VoronoiRaices[polinomio_,var_]:=
	Module[{puntos={},lista={},raiz=0},
		lista= var /. NSolve[polinomio==0, var];
		While [lista!={},
			raiz=N[First[lista]];
			lista=Delete[lista,1];
			AppendTo[puntos,{Re[raiz], Im[raiz]}]
		];
		DiagramPlot[puntos]
	]
:[font = input; endGroup; endGroup; ]
VoronoiRaices[x^17-15 x^5-2,x]
^*)