(*^

::[
	fontset = title, "Helv", 22, L0, center, nohscroll, bold;
	fontset = subtitle, "Helv", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Helv", 12, L0, center, nohscroll, bold;
	fontset = section, "Helv", 12, L0, bold, grayBox;
	fontset = subsection, "Helv", 12, L0, bold, blackBox;
	fontset = subsubsection, "Helv", 10, L0, bold, whiteBox;
	fontset = text, "Helv", 12, L0;
	fontset = smalltext, "Helv", 10, L0;
	fontset = input, "Courier", 12, L0, nowordwrap;
	fontset = output, "Courier", 12, L0, nowordwrap;
	fontset = message, "Courier", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier", 10, L0, nowordwrap;
	fontset = info, "Courier", 10, L0, nowordwrap;
	fontset = postscript, "Courier", 10, L0, nowordwrap;
	fontset = name, "Helv", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Helv", 18, L0, nohscroll, bold;
	fontset = footer, "Helv", 18, L0, center, nohscroll, bold;
	fontset = help, "Helv", 10, L0, nohscroll;
	fontset = clipboard, "Helv", 12, L0, nohscroll;
	fontset = completions, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = network, "Courier", 10, L0, nowordwrap, nohscroll;
	fontset = graphlabel, "Courier", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Helv", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Helv", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Header, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Footer, "Helv", 12, L0, nowordwrap, nohscroll;]
:[font = title; inactive; ]
6 Clculo diferencial e Integral


;[s]
2:0,1;36,0;37,-1
2:1,29,23,Helv,1,22,0,0,0;1,29,23,Helv,1,22,0,0,0;
:[font = section; inactive; startGroup; Cclosed; ]
6.1 Lmites de funciones
;[s]
2:0,1;24,0;25,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = input; ]
<<Calculus`Limit`
:[font = input; ]
Limit[Tan[x]/x,x->0]
:[font = input; ]
Limit[Exp[x],x->Infinity]
:[font = input; ]
Limit[Tan[x],x->Pi/2,Direction->3]
:[font = input; ]
Limit[Tan[x],x->Pi/2,Direction->-3]
:[font = input; ]
Limit[Tan[x],x->Pi/2,Direction->-Pi/2]
:[font = input; endGroup; ]
Limit[PolyGamma[3,y],y->3/2]
:[font = section; inactive; startGroup; Cclosed; ]
6.2 Derivadas
;[s]
2:0,1;13,0;14,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = input; ]
D[Sin[x],x]
:[font = input; ]
D[1/(x y),{x,2}]
:[font = input; ]
D[x^6 y^(-2),x,y]
:[font = input; ]
D[x^6 y^(-2),{x,3},{y,2}]
:[font = input; ]
Dt[Sin[t x] Cos[t x],x]
:[font = input; ]
Dt[Sin[t x] Cos[t x]]
:[font = input; ]
D[Sin[x],x]
:[font = input; ]
%/. x->Pi/2
:[font = input; ]
f[x_]:=Cos[x];
f'[x]
:[font = input; endGroup; ]
f'[Pi]
:[font = section; inactive; startGroup; Cclosed; ]
6.3 Integrales
;[s]
2:0,1;14,0;15,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = input; ]
Integrate[Sin[x],x]
:[font = input; ]
Integrate[1/((x-1)^2+4),x]
:[font = input; ]
Integrate[Log[x^2 + 3 x -2],{x, 1, 2}]
:[font = input; ]
Integrate[2 x Sqrt[1 - y^2],{x, 0, 1},{y,-1,1}]
:[font = input; ]
N[Integrate[Tan[x],{x,0.1,1.1}]]
:[font = input; ]
Integrate[Exp[-x^2],{x,0,Infinity}]
:[font = input; ]
Integrate[1/x,{x,1,Infinity}]
:[font = input; ]
Integrate[1/(a^2-x^2)^(3/2),x]
:[font = input; ]
Integrate[1/(x^a),{x,1,Infinity}]
:[font = input; ]
Integrate[1/(x^(-2)),{x,1,Infinity}]
:[font = input; ]
Integrate[x y ,{x,0,1},{y,0,x}]
:[font = input; ]
Integrate[x y,{y, 0, x},{x,0,1}]
:[font = input; ]
Integrate[Exp[-x^2],x]
:[font = subsection; inactive; startGroup; Cclosed; ]
6.3.1 Integracin numrica
;[s]
2:0,1;26,0;27,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
N[Integrate[1/(x^2),{x,1,Infinity}]]
:[font = input; ]
NIntegrate[2 x Sqrt[1-y^2],{x,0,1},{y,-1,1}]
:[font = input; ]
NIntegrate[Sin[x],{x,-1,3},WorkingPrecision->60]
:[font = input; ]
N[Integrate[1/Sqrt[a^2-x^2],{x,-a,a}]]
:[font = input; ]
NIntegrate[Sin[x+Pi],{x,1,3,4+I}]
:[font = input; ]
Integrate[1/Cot[x],{x,Pi/2,Pi}]
:[font = input; ]
NIntegrate[1/Cot[x],{x,Pi/2,Pi}]
:[font = input; ]
Integrate[1/(x^2-1),{x,0,2}]
:[font = input; ]
NIntegrate[1/(x^2-1),{x,0,2}]
:[font = input; endGroup; ]
NIntegrate[1/(x-1)^2,{x,0,1,2}]
:[font = subsection; inactive; startGroup; Cclosed; ]
6.3.3 Integrales elpticas
;[s]
2:0,1;26,0;27,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
N[EllipticE[Pi,3]]
:[font = input; ]
Plot[EllipticK[n],{n,0,2}]
:[font = input; endGroup; endGroup; ]
Plot3D[ Im [EllipticE [ax + I by,3]],{ax,0.1,2.3},
{by,-2,2}]
:[font = section; inactive; startGroup; Cclosed; ]
6.4 Series 
;[s]
2:0,1;11,0;12,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = input; ]
Sum[1/(4k^2-1),{k,30}]
:[font = input; ]
Sum[((k-1)/((k-3)^k)),{k,4,15}]
:[font = input; ]
N[Sum[1/2^k,{k,1,Infinity}]]
:[font = input; ]
Sum[Tan[k],{k,0,Pi/4,0.05}]
:[font = input; ]
Sum[(1+l)/(l+k+j),{l,3,10},{k,1,3},{j,2,3,0.2}]
:[font = input; endGroup; ]
Product[1/k^2,{k,10}]
:[font = section; inactive; startGroup; Cclosed; ]
6.5 Series de potencias
;[s]
2:0,1;23,0;24,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = input; ]
Series[Sin[x],{x,0,4}]
:[font = input; ]
Series[Log[1/x^2],{x,Infinity,5}]
:[font = input; ]
Series[Exp[x y],{x,0,3},{y,0,5}]
:[font = input; ]
Series[h[x],{x,2,4}]
:[font = input; ]
Series[Exp[x],{x,0,10}]
:[font = input; ]
%^3
:[font = input; ]
D[%,x]
:[font = input; ]
%+Tan[x]
:[font = input; ]
Series[Exp[x],{x,0,4}]
:[font = input; ]
InverseSeries[%,y]
:[font = input; ]
Series[ArcTan[x],{x,0,5}]
:[font = input; ]
Normal[%]
:[font = input; ]
y=1+Sum[a[i] x^i, {i,5}]+O[x]^6
:[font = input; ]
D[y,x]^2-y^2==1
:[font = input; ]
LogicalExpand[%]
:[font = input; endGroup; ]
Solve[%]
:[font = section; inactive; startGroup; Cclosed; ]
6.6 Residuos
;[s]
2:0,1;12,0;13,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = input; ]
Residue[Csc[x],{x,0}]
:[font = input; ]
Residue[1/(x^4-1),{x,I}]
:[font = subsection; inactive; startGroup; ]
6.6.1 Integracin numrica con singularidades
;[s]
2:0,1;45,0;46,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
NIntegrate[1/(x-1),{x,2,1+I,0,1-I,2}]
:[font = input; ]
NIntegrate[1/(x+2),{x,1,I,-1,-I,1}]
:[font = input; ]
Solve[x^4+1==0]
:[font = input; ]
Residue[1/(x^4+1),{x,Exp[I Pi/4]}]
:[font = input; ]
Residue[1/(x^4+1),{x,Exp[3 I Pi/4]}]
:[font = input; ]
Residue[1/(x^4+1),{x,Exp[5 I Pi/4]}]
:[font = input; ]
Residue[1/(x^4+1),{x,Exp[7 I Pi/4]}]
:[font = input; ]
NIntegrate[1/(x^4+1),{x,2,2I,-2,-2I,2}]
:[font = input; ]
Residue[1/(x^4+1),{x,Exp[I Pi/4]}]
:[font = input; ]
Residue[1/(x^4+1),{x,Exp[3 I Pi/4]}]
:[font = input; ]
Integrate[1/(x^4+1),{x,-Infinity,Infinity}]
:[font = input; ]
Solve[x^3+1==0]
:[font = input; ]
Residue[1/(x^3+1)Log[x],{x,Exp[I Pi/3]}]
:[font = input; ]
Residue[1/(x^3+1)Log[x],{x,Exp[I Pi]}]
:[font = input; ]
Residue[1/(x^3+1)Log[x],{x,Exp[5 I Pi/3]}]
:[font = input; endGroup; endGroup; ]
Integrate[1/(x^3+1),{x,0,Infinity}]
:[font = section; inactive; startGroup; Cclosed; ]
6.7 Cambios de coordenadas
;[s]
2:0,1;26,0;27,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = subsection; inactive; startGroup; Cclosed; ]
6.7.1 Transformacin de coordenadas
;[s]
2:0,1;35,0;36,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
<<Calculus`VectorAnalysis`
:[font = input; ]
JacobianMatrix[Conical]
:[font = input; ]
JacobianDeterminant[{3/2,Pi/6,Pi/4},Spherical]
:[font = input; ]
SetCoordinates[Spherical]
:[font = input; ]
Grad[x^3 Sin[x y] ArcTan[z^2] Log[x y],Cartesian]
:[font = input; ]
Div[{x^2 y^3,z^4 y^(1/2),x^2 y}]
:[font = input; endGroup; ]
Laplacian[r^2 theta^2 z^2,Cylindrical]
:[font = subsection; inactive; startGroup; ]
6.7.2 Algunos ejemplos
;[s]
2:0,1;22,0;23,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
SetCoordinates[Cylindrical]
:[font = input; ]
JacobianMatrix[]
:[font = input; ]
JacobianDeterminant[]
:[font = input; endGroup; endGroup; ]
Integrate[r^3 z Sin[theta],{theta,0,Pi/2},
{r,0,2Cos[theta]},{z,0,r^2}]
:[font = section; inactive; startGroup; Cclosed; ]
6.8 Series y transformada de Fourier
;[s]
2:0,1;36,0;37,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = input; ]
<<Calculus`FourierTransform`
:[font = subsection; inactive; startGroup; Cclosed; ]
6.8.1 Desarrollo en serie de Fourier
;[s]
2:0,1;36,0;37,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
FourierTrigSeries[x,{x,-Pi,Pi},5]
:[font = input; ]
Plot[{x,%},{x,-Pi,Pi}]
:[font = input; ]
serie=FourierTrigSeries[UnitStep[x],{x,-1,1},2]
:[font = input; ]
Plot[{UnitStep[x],%},{x,-1,1}]
:[font = input; ]
FourierSinSeriesCoefficient[UnitStep[x],{x,-1,1},3]
:[font = input; ]
serie=serie+% Sin[3 Pi x]
:[font = input; ]
NFourierTrigSeries[UnitStep[x],{x,-1,1},5]
:[font = input; ]
Chop[%]
:[font = input; ]
Plot[{UnitStep[x],%},{x,-1,1}]
:[font = input; ]
FourierCosSeriesCoefficient[x^2,{x,-Pi,Pi},n]
:[font = input; ]
FourierTrigSeries[x^2,{x,-Pi,Pi},3]
:[font = input; endGroup; ]
Plot[{%,x^2},{x,-Pi,Pi}]
:[font = subsection; inactive; startGroup; Cclosed; ]
6.8.2 Transformada de Fourier
;[s]
2:0,1;29,0;30,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
FourierTransform[Cos[a t],t,w]
:[font = input; endGroup; endGroup; ]
FourierTransform[Sin[1/t],t, w]
^*)