(*^

::[
	fontset = title, "Helv", 22, L0, center, nohscroll, bold;
	fontset = subtitle, "Helv", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Helv", 12, L0, center, nohscroll, bold;
	fontset = section, "Helv", 12, L0, bold, grayBox;
	fontset = subsection, "Helv", 12, L0, bold, blackBox;
	fontset = subsubsection, "Helv", 10, L0, bold, whiteBox;
	fontset = text, "Helv", 12, L0;
	fontset = smalltext, "Helv", 10, L0;
	fontset = input, "Courier", 12, L0, nowordwrap;
	fontset = output, "Courier", 12, L0, nowordwrap;
	fontset = message, "Courier", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier", 10, L0, nowordwrap;
	fontset = info, "Courier", 10, L0, nowordwrap;
	fontset = postscript, "Courier", 10, L0, nowordwrap;
	fontset = name, "Helv", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Helv", 18, L0, nohscroll, bold;
	fontset = footer, "Helv", 18, L0, center, nohscroll, bold;
	fontset = help, "Helv", 10, L0, nohscroll;
	fontset = clipboard, "Helv", 12, L0, nohscroll;
	fontset = completions, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = network, "Courier", 10, L0, nowordwrap, nohscroll;
	fontset = graphlabel, "Courier", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Helv", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Helv", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Header, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Footer, "Helv", 12, L0, nowordwrap, nohscroll;]
:[font = title; inactive; ]
7 Ecuaciones Diferenciales Ordinarias


;[s]
2:0,1;41,0;42,-1
2:1,29,23,Helv,1,22,0,0,0;1,29,23,Helv,1,22,0,0,0;
:[font = section; inactive; startGroup; Cclosed; ]
7.1 Resolucin de E.D.O: la funcin DSolve
;[s]
2:0,1;42,0;43,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = subsection; inactive; startGroup; Cclosed; ]
7.1.1. La funcin DSolve
;[s]
2:0,1;24,0;25,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
DSolve[y'[x]-y[x]==0, y[x], x]
:[font = input; ]
DSolve[x''[t]+x[t]==0, x[t], t]
:[font = input; ]
DSolve[y'''[x]+2y''[x]+y'[x]==Cos[x],y[x],x]
:[font = input; ]
reglas=DSolve[y'[x]-y[x]==0,y,x]
:[font = input; ]
y[x_]=y[x]/.reglas
:[font = input; ]
y'[x]-y[x]
:[font = input; ]
y[-x]
:[font = input; ]
Reglas=DSolve[x''[t]+Sin[t]+x[t]==0,x,t]
:[font = input; ]
x[t]/.Reglas
:[font = input; endGroup; ]
x'[Pi]/.Reglas
:[font = subsection; inactive; startGroup; Cclosed; ]
7.1.2. Ecuaciones con condiciones iniciales
;[s]
2:0,1;43,0;44,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
DSolve[{x''[t]+x[t]==0,x[0]==0,x'[0]==1},x[t],t]
:[font = input; ]
Regla=DSolve[{x''[t]+x[t]==0,x[0]==0,x'[0]==1},x,t]
:[font = input; ]
x[Pi]/.Regla
:[font = input; ]
x'[t]/.Regla
:[font = input; ]
DSolve[{y'[x]-2y[x]x==4x, y[0]==0}, y[x], x]
:[font = input; endGroup; ]
DSolve[{x''[t]-x'[t]-2x[t]==0,x[0]==0,x'[0]==1},x[t],t]
:[font = subsection; inactive; startGroup; Cclosed; ]
7.1.3. Resolucin formal y resolucin numrica
;[s]
2:0,1;46,0;47,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
interpola=NDSolve[{x''[t]+x[t]==0,x[0]==0,x'[0]==1},x,
{t,0,4 Pi}]
:[font = input; ]
x[1]/.interpola
:[font = input; ]
x[Pi]/.interpola
:[font = input; ]
NDSolve[{x'[t]==1/t, x[0.5]==1},x,{t,-1,1}]
:[font = input; ]
NDSolve[{x'[t]==1/t, x[0.5]==1},x,{t,-1,1},MaxSteps->3000]
:[font = input; ]
NDSolve[{x'[t]==x[t],x[0]==1},x,{t,2},AccuracyGoal->20, 
PrecisionGoal->20,WorkingPrecision->25]
:[font = input; endGroup; ]
N[x[1]/.%,20]
:[font = subsection; inactive; startGroup; Cclosed; ]
7.1.4. Representacin grfica de la solucin
;[s]
2:0,1;44,0;45,-1
2:1,16,13,Helv,1,12,0,0,0;1,20,16,Helv,1,15,0,0,0;
:[font = input; ]
DSolve[{2x'[t]-4x[t]== Exp[-t], x[0]==0}, x, t]
:[font = input; ]
Plot [x[t] /. %, {t, -8, 4}]
:[font = input; ]
Interpola = NDSolve [{x''[t]+x[t]==0, x[0]==1, x'[0]==0}, 
x, {t, 0, 6 Pi}]
:[font = input; ]
Plot [Evaluate[x[t] /. Interpola], {t, 0, 6 Pi}]
:[font = input; ]
oscilador=NDSolve[{x''[t]+0.2x'[t]+Sin[x[t]]==0,
x[0]==0,x'[0]==1}, x, {t,0,40}]
:[font = input; ]
ParametricPlot[Evaluate[{t, x[t]}/.oscilador],
{t,0,40},PlotPoints->100];
:[font = input; endGroup; endGroup; ]
ParametricPlot[Evaluate[{x[t], x'[t]}/.oscilador],
{t,0,40},PlotPoints->100,PlotRange->All];
:[font = section; inactive; startGroup; Cclosed; ]
7.2 Sistemas de ecuaciones diferenciales ordinarias
;[s]
2:0,1;51,0;52,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = input; ]
DSolve[{2x'[t]+y'[t]-4x[t]-y[t]== Exp[t], x'[t]+3x[t]+y[t]==0},
{x[t], y[t]}, t]
:[font = input; ]
aprox=NDSolve[{2x'[t]+y'[t]-4x[t]-y[t]==Exp[t],
x'[t]+3x[t]+y[t]==0,x[0]==y[0]==0},{x,y},{t,-5,5}]
:[font = input; ]
Plot[Evaluate[{x[t],y[t]}/.aprox,{t,-5,5}]
:[font = input; ]
Aprox = NDSolve[{2x'[t]+y'[t]-4x[t]-y[t]== Exp[t], 
x'[t]+3x[t]+y[t]==0, x[-5]==y[-5]==0}, {x, y}, {t,-5,5}]
:[font = input; ]
Plot [Evaluate [{x[t] ,y[t]} /. Aprox], {t, -5, 5}]
:[font = input; ]
ciclolimite=NDSolve[{x''[t]+0.3x'[t]+x[t]^3==5Cos[t],
x[0]==3,x'[0]==3}, 
x, {t, 0, 14Pi}, MaxSteps->1000]
:[font = input; ]
Plot [Evaluate[x[t] /. ciclolimite], {t,0,14Pi}]
:[font = input; ]
ParametricPlot [Evaluate[{x[t], x'[t]} /. ciclolimite], 
{t,0,14Pi}]
:[font = input; ]
caotico=NDSolve[{x''[t]+0.05x'[t]+x[t]^3==7.5Cos[t],
x[0]==3,x'[0]==3}, 
x, {t, 0, 10Pi}, MaxSteps->1000]
:[font = input; ]
Plot [Evaluate[x[t] /. caotico], {t,0,10Pi}]
:[font = input; endGroup; ]
ParametricPlot [Evaluate[{x[t], x'[t]} /. caotico], {t,0,10Pi}]
:[font = section; inactive; startGroup; Cclosed; ]
7.3 El mtodo de Runge-Kutta
;[s]
2:0,1;28,0;29,-1
2:1,16,13,Helv,1,12,0,0,0;1,24,19,Helv,1,18,0,0,0;
:[font = input; ]
<<ProgrammingExamples`RungeKutta`
:[font = input; ]
ecuacion=RungeKutta[{y,-x},{x,y},{1,0},{t,0,10,0.1}];
ListPlot[ecuacion,PlotJoined->True,AspectRatio->Automatic]
:[font = input; ]
<<Graphics`graphics3D`
:[font = input; ]
lorentz=RungeKutta[{-3 x+3 y,
					28 x-y-x z,
					x y -z},
		{x,y,z}, {0,1,0},{40,0.02}];
:[font = input; ]
lorentzgraf=ScatterPlot3D[lorentz,PlotJoined->True];
:[font = input; ]
Shadow[lorentzgraf, XShadow -> Flase, ZShadowPosition -> 1]
:[font = input; ]
rossler=RungeKutta[{-y-z,
		x+0.398y,
		2+z(x-4)  },
{x,y,z}, {1,0,0},{100,0.05}];		
:[font = input; ]
rosslergraf=ScatterPlot3D[rossler,PlotJoined->True,PlotRange->All]
:[font = input; endGroup; ]
Shadow[rosslergraf, ZShadow->False]
^*)